#!/bin/sh


RUNDIR=~/.enigma-client


mkdir "$RUNDIR" &&
cp enigma-client.py "$RUNDIR" &&
cp ../enigma "$RUNDIR" &&
cp ../dict/00* "$RUNDIR"


cat <<EOF > "$RUNDIR"/ecrun
#!/bin/sh

exec </dev/null
exec >/dev/null
exec 2>/dev/null

cd $RUNDIR

nohup $RUNDIR/enigma-client.py keyserver.bytereef.org 65500 &
EOF


cat <<EOF > "$RUNDIR"/ecboot
#!/bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin

exec </dev/null
exec >/dev/null
exec 2>/dev/null

cd $RUNDIR

if [ -f .eclient.lock ]
then
    rm .eclient.lock
fi

env - PATH=\$PATH $RUNDIR/enigma-client.py keyserver.bytereef.org 65500
EOF


chmod +x $RUNDIR/ecrun $RUNDIR/ecboot
